Summary: Desktop backgrounds packaged with the GNOME desktop
Name: gnome-backgrounds
Version: 2.28.0
Release: 2%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/gnome-backgrounds/2.28/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: intltool
BuildRequires: gettext

Patch0: gnome-backgrounds-paths.patch

# update translations
# https://bugzilla.redhat.com/show_bug.cgi?id=589197
Patch1: gnome-backgrounds-translations.patch

%description
The gnome-backgrounds package contains images and tiles
to use for your desktop background which are packaged
with the GNOME desktop.

%prep
%setup -q
%patch0 -p1 -b .paths
%patch1 -p1 -b .translations

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/images

mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/gnome/abstract $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/gnome/nature $RPM_BUILD_ROOT%{_datadir}/backgrounds

# all translations are merged back into xml by intltool
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS
%{_datadir}/gnome-background-properties
%dir %{_datadir}/backgrounds
%{_datadir}/backgrounds/*


%changelog

